### A free/open-source library for quantitative finance

Public Types | Public Member Functions
Taiwan Class Reference
Calendars

Taiwanese calendars. More...

`#include <ql/time/calendars/taiwan.hpp>`

Inheritance diagram for Taiwan:
[legend]

List of all members.

## Public Types

enum | Market { TSEC }

## Public Member Functions

| Taiwan (Market m=TSEC)

## Detailed Description

Taiwanese calendars.

Holidays for the Taiwan stock exchange (data from <http://www.tse.com.tw/en/trading/trading_days.php>):

- Saturdays
- Sundays
- New Year's Day, January 1st
- Peace Memorial Day, February 28
- Labor Day, May 1st
- Double Tenth National Day, October 10th

Other holidays for which no rule is given (data available for 2002-2011 only:)

- Chinese Lunar New Year
- Tomb Sweeping Day
- Dragon Boat Festival
- Moon Festival

## Member Enumeration Documentation

enum Market

Enumerator:

  TSEC | Taiwan stock exchange.